Package groovy.model

# Class ClosureModel

java.lang.Object
groovy.model.ClosureModel

All Implemented Interfaces:
  `NestedValueModel`, `ValueModel`

    @Deprecated
    public class ClosureModel
    extends java.lang.Object
    implements ValueModel, NestedValueModel

Deprecated.
Represents a value model using a closure to extract the value from some source model and an optional write closure for updating the value.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ClosureModel​(ValueModel sourceModel, Closure readClosure)` | Deprecated.
  `ClosureModel​(ValueModel sourceModel, Closure readClosure, Closure writeClosure)` | Deprecated.
  `ClosureModel​(ValueModel sourceModel, Closure readClosure, Closure writeClosure, java.lang.Class type)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ValueModel` | `getSourceModel()` | Deprecated.
  `java.lang.Class` | `getType()` | Deprecated.
  `java.lang.Object` | `getValue()` | Deprecated.
  `boolean` | `isEditable()` | Deprecated.
  `void` | `setValue​(java.lang.Object value)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClosureModel

    public ClosureModel​(ValueModel sourceModel, Closure readClosure)
    Deprecated.

  - ### ClosureModel

    public ClosureModel​(ValueModel sourceModel, Closure readClosure, Closure writeClosure)
    Deprecated.

  - ### ClosureModel

    public ClosureModel​(ValueModel sourceModel, Closure readClosure, Closure writeClosure, java.lang.Class type)
    Deprecated.

- ## Method Details

  - ### getSourceModel

    public ValueModel getSourceModel()
    Deprecated.
    Specified by:
      `getSourceModel` in interface `NestedValueModel`

  - ### getValue

    public java.lang.Object getValue()
    Deprecated.
    Specified by:
      `getValue` in interface `ValueModel`

  - ### setValue

    public void setValue​(java.lang.Object value)
    Deprecated.
    Specified by:
      `setValue` in interface `ValueModel`

  - ### getType

    public java.lang.Class getType()
    Deprecated.
    Specified by:
      `getType` in interface `ValueModel`

  - ### isEditable

    public boolean isEditable()
    Deprecated.
    Specified by:
      `isEditable` in interface `ValueModel`